using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Generics
{
    // Listing 4-8
    public class Foo<T1, T2>
        where T1 : T2
    {
    }

    // Listing 4-9
    public class Bar<T>
        where T : class
    {
    }
}
